View Issue Details

IDProjectCategoryView StatusLast Update
0013435LazarusIDEpublic2013-09-03 12:07
ReporterSayyid Ibnu Husein Alatas Assigned ToMartin Friebe  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0013435: While Alt+Shift has been holding, Ctrl+Left/Right arrow doesn't do their job
DescriptionWell, the title is clear enough.
TagsNo tags attached.
Fixed in Revision20555
LazTarget1.4
Widgetset
Attached Files

Activities

Martin Friebe

2009-03-31 18:13

manager   ~0026477

Thanks for a reasonable feature request.

You can find out the current support ones, (and consequently make a list of all missing ones) from the editor-options => Key-bindings => section for block selection.

ALT is not handled as a modifier or "magical add on to selection". So it doesn't automatically enhance all selection-moves.

There is a reason for that. Depending on your platform and window-manager those key-bindings could be used by the system.
For Example some Win-Mgr uses Alt-Ctrl-Left/Right to switch virtual desktops. Lazarus would never see the KeyCombo being pressed.
Therefore the User must be able to assign/change each of them individually. (And maybe other default need to be chosen)

Until this is implemented, those selections can be easily made in other ways.

1) Select the word in normal selection mode, then continue the up-down selection with the alt key => the normal block converts into a column mode block

2) You can assign Key combos to switch the default selection mode between "normal" and "column". Once it is column you can use all selection moves/commands (without alt key) and you get a block selection.

Sayyid Ibnu Husein Alatas

2009-03-31 19:16

reporter   ~0026478

Last edited: 2009-03-31 19:17

Thanks for your precious information.

By the way, I remember and read again your statement in this issue:
    http://bugs.freepascal.org/view.php?id=13238#c26035

    "As for Gnome or Windowmanager that have their own Alt-Key handling:
     It should be possible to use Meta(Windows-Key)-Alt-Mouse. This was
     already possible before."

Therefore, for some Window Manager you mentioned above, I think the use of Windows-Key should be implemented as a solution for any conflicting Alt key bindings.

Martin Friebe

2009-06-09 19:20

manager   ~0028409

Key commands for this have been created.

No defaults have been set.

Sayyid Ibnu Husein Alatas

2009-06-17 08:31

reporter   ~0028579

Thank's Martin.

Issue History

Date Modified Username Field Change
2009-03-31 17:13 Sayyid Ibnu Husein Alatas New Issue
2009-03-31 18:13 Martin Friebe LazTarget => post 1.2
2009-03-31 18:13 Martin Friebe Note Added: 0026477
2009-03-31 18:13 Martin Friebe Assigned To => Martin Friebe
2009-03-31 18:13 Martin Friebe Status new => acknowledged
2009-03-31 19:16 Sayyid Ibnu Husein Alatas Note Added: 0026478
2009-03-31 19:18 Sayyid Ibnu Husein Alatas Note Edited: 0026478
2009-06-09 19:20 Martin Friebe Fixed in Revision => 20555
2009-06-09 19:20 Martin Friebe Status acknowledged => resolved
2009-06-09 19:20 Martin Friebe Fixed in Version => 0.9.27 (SVN)
2009-06-09 19:20 Martin Friebe Resolution open => fixed
2009-06-09 19:20 Martin Friebe Note Added: 0028409
2009-06-09 19:20 Martin Friebe Target Version => 0.9.28
2009-06-17 08:31 Sayyid Ibnu Husein Alatas Status resolved => closed
2009-06-17 08:31 Sayyid Ibnu Husein Alatas Note Added: 0028579
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4